/*======================
1. Search
========================*/ 
#block-search,
#block-search * {
  box-sizing: border-box;
}

#block-search {
  background: inherit;
  width: 100%;
  max-width: var(--theme-normal-container-max-width, 1200px);
  margin: 0 auto;
}
/*======================
2. Booking
========================*/ 
.tl-container {
  padding: 0 30px;
}

#tl-booking-form {
  width: 100%;
  max-width: var(--theme-normal-container-max-width, 1200px);
  margin: 0 auto;
  /*z-index: 0;*/
  min-height: 500px; /* Обязательное правило */
}
/*======================
3. Guest
========================*/
#tl-guest-account {
    max-width: var(--theme-normal-container-max-width, 1200px);
    margin: 0 auto;
}
/*======================
4. Preloader (Minimal Frame)
========================*/
/* Простая невидимая распорка */
.tl-loader {
    width: 100%;
    min-height: 80px; /* Держит высоту для формы поиска */
}

.tl-loader--booking {
    min-height: 500px; /* Держит высоту для календаря бронирования */
}
/*======================
5. Фикс отступа снизу
========================*/
/* Фикс отступа конкретно для формы поиска */
#tl-search-form {
    margin-block-end: 0px !important;
}
#tl-search-form {
    min-height: 102px !important;
}
@media (max-width: 1301px) {
  #tl-search-form {
      min-height: 165px !important;
  }
}
@media (max-width: 769px) {
  #tl-search-form {
      min-height: 243px !important;
  }
}
@media (max-width: 694px) {
  #tl-search-form {
      min-height: 237px !important;
  }
}
  @media (max-width: 394px) {
  #tl-search-form {
      min-height: 387px !important;
  }
}
